%global pypi_name pyshacl

Name:           python-pyshacl
Version:        0.26.0
Release:        %autorelease
Summary:        Python validator for SHACL

License:        Apache-2.0
URL:            https://github.com/RDFLib/pySHACL
Source:         %{url}/archive/v%{version}/pyshacl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
This is a pure Python module which allows for the validation of RDF graphs
against Shapes Constraint Language (SHACL) graphs. This module uses the rdflib
Python library for working with RDF and is dependent on the OWL-RL Python module
for OWL2 RL Profile based expansion of data graphs.}

%description %_description

%package -n python3-pyshacl
Summary:        %{summary}

%description -n python3-pyshacl %_description

%prep
%autosetup -p1 -n pyshacl-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install

pushd %{buildroot}%{python3_sitelib}
rm -rfv CHANGELOG.md \
        CONTRIBUTING.md \
        CONTRIBUTORS.md \
        FEATURES.md \
        LICENSE.txt \
        README.md
popd

%pyproject_save_files -L pyshacl

%check
# Disable network dependent tests
# Disable test_js depending on not packaged pyduktape2
%pytest -k "not test_cmdline_web and not test_cmdline_jsonld and not \
            test_web_retrieve and not test_web_retrieve_fail and not \
            test_owl_imports and not test_owl_imports_fail and not \
            test_98 and not test_108 and not test_154 and not test_js"

%files -n python3-pyshacl -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGELOG.md CONTRIBUTING.md CONTRIBUTORS.md  FEATURES.md README.md
%{_bindir}/pyshacl
%{_bindir}/pyshacl_server
%{_bindir}/pyshacl_validate

%changelog
%autochangelog
